
define fadeSlow = Fade(0.8, 1.0, 1)

    #label scene0:
    #if _in_replay:
        #$ mcName = persistent.Gal_P_Name

    #if _in_replay:
        #scene black with fadeSlow
        #$ renpy.end_replay()

default persistent.galleryNameSet = False
default gal_rename = False

label galleryNameChange:
    scene black
    if not persistent.galleryNameSet or gal_rename:
        $ mcName = renpy.input("{size=+15}{font=Elephant.ttf}My name is{/font}{/size}", allow=" 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ", length=10)
        if mcName == "":
            "Please give your character a name."
            jump galleryNameChange
        if mcName is not None:
            $ check_name = len(mcName)
            if check_name == 1:
                "You must name your character a minimum of 2 letters."
                jump galleryNameChange
        $ mcName = mcName.title()
        "Do you want to name you character [mcName]?"
        menu:
            "Yes":
                $ persistent.Gal_P_Name = mcName
                $ persistent.galleryNameSet = True
            "No":
                jump galleryNameChange
    return


screen sceneReplayMain():
    tag menu
    modal True

    add "#000"
    add Transform("shaddyMod/images/ShaddyBG.jpg", zoom=1.0) xcenter 0.5 ycenter 0.5 alpha 0.65

    text "ShaddyModda's Scene Gallery":
        style "shaddyHeader"
        xcenter 0.5
        ycenter 40

    vbox:
        align(0.002,0.5)
        textbutton "PAGE 1" action Show("sceneReplay1"), Hide("sceneReplay2") text_style "shaddyTextButton1"

        textbutton "PAGE 2" action Show("sceneReplay2"), Hide("sceneReplay1") text_style "shaddyTextButton1"

        #textbutton "PAGE 3" action Show("sceneReplay3") text_style "shaddyTextButton1"

    textbutton _("RENAME"):
        text_style "shaddyTextButton1"
        align(0.001, 1.0)
        action [ui.callsinnewcontext("namemc")]

    textbutton "RETURN":
        text_style "shaddyTextButton1"
        align(0.5, 1.0)
        action Hide("sceneReplayMain"), Hide("sceneReplay1"), Hide("sceneReplay2"), Return()

    imagebutton:
        xalign 0.99 yalign 0.89
        idle im.Scale("shaddyMod/images/patreon.png", 150, 40)
        hover im.Scale(im.MatrixColor("shaddyMod/images/patreon.png", im.matrix.colorize("#cc33cc", "#009dff")), 175, 50)
        action OpenURL("https://www.patreon.com/ShaddyModda")
    imagebutton:
        xalign 0.99 yalign 0.94
        idle im.Scale("shaddyMod/images/substar.png", 150, 40)
        hover im.Scale(im.MatrixColor("shaddyMod/images/substar.png", im.matrix.colorize("#cc33cc", "#009dff")), 175, 50)
        action OpenURL("https://subscribestar.adult/shaddymodda")
    imagebutton:
        xalign 0.99 yalign 0.99
        idle im.Scale("shaddyMod/images/Discord.png", 150, 40)
        hover im.Scale(im.MatrixColor("shaddyMod/images/Discord.png", im.matrix.colorize("#f00", "#f00")), 175, 50)
        action OpenURL("https://discord.gg/qqdNVrtJWF")


screen sceneReplay1():

    use sceneReplayMain

    $ gallery_scene_list1=[]
    $ gallery_scene_list1.append(["scene001","images/1/1_a_13.webp", {}])
    $ gallery_scene_list1.append(["scene002","images/1/1_j_10.webp", {}])
    $ gallery_scene_list1.append(["scene003","images/1/1_j_16.webp", {}])
    $ gallery_scene_list1.append(["scene004","images/2/2_f_4.webp", {}])
    $ gallery_scene_list1.append(["scene005","images/3/3_a_11.webp", {}])
    $ gallery_scene_list1.append(["scene006","images/3/3_f_1.webp", {}])
    $ gallery_scene_list1.append(["scene007","images/4/4_f_12.webp", {}])
    $ gallery_scene_list1.append(["scene008","images/4/4_h_1.webp", {}])
    $ gallery_scene_list1.append(["scene009","images/5/5_c_6.webp", {}])
    $ gallery_scene_list1.append(["scene010","images/5/5_h_56.webp", {}])
    $ gallery_scene_list1.append(["scene011","images/6/6_f_57.webp", {}])
    $ gallery_scene_list1.append(["v6_i","images/6/6_i_0.webp", {}])

    vpgrid:
        cols 4
        spacing 50
        yspacing 50
        align(0.5,0.6)

        for i in gallery_scene_list1:
            if not renpy.variant("mobile"):
                $ scopeDict = {"quick_menu":False, "mcName":persistent.Gal_P_Name}
            else:
                $ scopeDict = {"mcName":persistent.Gal_P_Name}
            $ scopeDict.update(i[2])
            imagebutton:
                idle Transform((i[1]),zoom=0.15)
                hover Transform(im.MatrixColor(i[1],im.matrix.brightness(0.20)), zoom=0.15)
                action Replay(i[0], scope=scopeDict, locked=False)

screen sceneReplay2():

    use sceneReplayMain

    $ gallery_scene_list2=[]
    $ gallery_scene_list2.append(["scene012","images/7/7_c_12.webp", {}])
    $ gallery_scene_list2.append(["scene013","images/7/7_j_10.webp", {}])
    $ gallery_scene_list2.append(["v8_f","images/8/8_f_21.webp", {"v6MCDecision":1}])
    $ gallery_scene_list2.append(["v8_g","images/8/8_g_0.webp", {}])
    $ gallery_scene_list2.append(["v8_i","images/8/8_i_65.webp", {}])
    $ gallery_scene_list2.append(["scene014","images/9/9_a_9.webp", {}])
    $ gallery_scene_list2.append(["v9_f","images/9/9_f_52.webp", {}])
    $ gallery_scene_list2.append(["scene015","images/9/9_i_5.webp", {}])
    $ gallery_scene_list2.append(["scene016","images/10/10_c_7.webp", {}])
    $ gallery_scene_list2.append(["v10_e","images/10/10_e_16.webp", {}])
    $ gallery_scene_list2.append(["v10_h","images/10/10_h_0.webp", {"v2KissHannah":True, "v4TellMaddieTruth":True}])
    $ gallery_scene_list2.append(["v10_i","images/10/10_i_67.webp", {}])

    vpgrid:
        cols 4
        spacing 50
        yspacing 50
        align(0.5,0.6)

        for i in gallery_scene_list2:
            if not renpy.variant("mobile"):
                $ scopeDict = {"quick_menu":False, "mcName":persistent.Gal_P_Name}
            else:
                $ scopeDict = {"mcName":persistent.Gal_P_Name}
            $ scopeDict.update(i[2])
            imagebutton:
                idle Transform((i[1]),zoom=0.15)
                hover Transform(im.MatrixColor(i[1],im.matrix.brightness(0.20)), zoom=0.15)
                action Replay(i[0], scope=scopeDict, locked=False)


label Rep_End:
    scene black with dissolve
    $ renpy.end_replay()
    return

label scenevariant:
    scene black with dissolve
    menu:
        centered "{size=35}There are 3 possible scenes depending on previous choices. Which scene would you like to see?{/size}"
        "Scene 1":
            $ v2KissHannah = False
        "Scene 2":
            $ v2KissHannah = True
            $ v4TellMaddieTruth = False
        "Scene 3":
            $ v2KissHannah = True
            $ v4TellMaddieTruth = True
    return
