label v6_a:
    # Eugene is in the hospital and [mcName] is sitting next to him. #
    scene 6_a_0 with fadehold
    mc "{i}I hope that everything will be okay.{i}"
    mc "{i}I wish that your cancer will just disappear and everything will return to the way that it used to be.{/i}"
    mc "{i}The way that it should be...{/i}"
    scene 6_a_1
    mc "{i}I know that is just wishful thinking. I know what terminal means...{/i}"
    mc "{i}I hope that no matter what happens, I at least made you proud of me.{/i}"
    mc "{i}I love you dad.{/i}"
    # A Doctor enters the room #
    play sound "audio/door_opening.ogg"
    scene 6_a_2 with fade
    doctor "[mcName] it's good that you're here. I need to have a word with you about your father."
    mc "Yes, of course. Please tell me what's wrong with my dad."
    doctor "I will do my best. Please follow me."
    # [mcName] is sitting in an office talking to the doctor. #
    scene 6_a_3 with fadehold
    mc "Doctor please tell me what is happening?"
    doctor "Your father is suffering the effects of poison."
    scene 6_a_4
    mc "Poison?"
    scene 6_a_5
    doctor "Initially, we thought that it was your father's cancer that is the reason for his condition..."
    doctor "But, further tests show that your father had congested a substantial amount of a poison."
    doctor "Fortunately, we were able to drain out the poison, but I would like to keep Eugene here for the next 48 hours."
    scene 6_a_6
    mc "{i}Poisoned!? I swear Mallory will get what's coming!{/i}"
    mc "Thank you for helping my dad. He's all I got left."
    doctor "Eugene is not in the clear yet. I also have to inform you that I've notified the police about this incident."
    mc "I understand, Doctor."
    scene black
    centered "Last Night"
    # Mallory is in the bedroom trying on clothes, as Eugene is sleeping.#
    scene 6_a_7 with fadehold
    play sound "audio/shower.ogg" loop
    mallory "{i}I'm sick and tired of [mcName] getting in my way. I fucking hope he dies.{/i}"
    mallory "{i}It doesn't matter. Once Eugene finally dies, I will make [mcName] suffer!{/i}"
    # Eugene wakes up #
    scene 6_a_8
    eugene "Mall...Mallory...hun...I...need water..."
    mallory "{i}You have got to be kidding me! Just die already!{/i}"
    scene 6_a_9
    mallory "Of course dear. I will get you some water."
    stop sound fadeout 1.0
    # Mallory is in the kitchen getting water.#
    scene 6_a_10 with fadehold
    mallory "{i}I can't believe I have to get water for that sick bastard!{/i}"
    mallory "{i}I'm too good for this life. I need to teach Eugene a lesson for his disrespect!{/i}"
    # Mallory pulls out a pill and puts it in Eugene's water. #
    scene 6_a_11
    mallory "{i}This is brilliant, If I put something in his water... He will probably die...{/i}"
    scene 6_a_12
    mallory "{i}Eugene will get what he deserves for having me get him this water...{i}"
    mallory "{i}More importantly, I could frame the poison on [mcName] and his friends.{/i}"
    mallory "{i}Sometimes my brilliance scares me.{/i}"
    # Mallory gives Eugene his water. #

label v6_b:
    if v2KissHannah:
        if v4TellMaddieTruth:
            scene 6_b_0 with fadehold
            maddie "It was so scary girl. We got back from your place last night and Mr. Eugene was collapsed on the floor."
            hannah "That's horrible. It's a shame that Mr. Eugene has to go through all of this. He is a sweet man."
            # [mcName] interrupts them. #
            play sound "audio/door_opening.ogg"
            scene 6_b_1 with fade
            mc "Hey ladies."
            # Hannah and Maddie both hug [mcName]. #
            scene 6_b_2 with fade
            hannah "I'm sorry about your dad. How are you doing?"
            mc "I am trying to remain calm. It's hard."
            scene 6_b_3
            hannah "I'm here for you handsome."
            # Hannah kisses [mcName] on the cheek. #
            maddie "{i}Hannah is so sexy and she has a big heart. I wouldn't mind adding her into mine and [mcName]'s relationship.{/i}"
            scene 6_b_4
            maddie "Did the doctor tell you any news about your dad?"
            mc "Yes, I was actually going to tell you guys what happened, but now is not the time. After we leave here, I will take us to my Aunt Betty's house."
            mc "I will explain everything there."
            hannah "Oh, that does not sound very good."
            maddie "No it doesn't."
            # A Detective walks into the hospital room. #
            play sound "audio/door_opening.ogg"
            scene 6_b_5 with fade
            detective "Excuse me, are you [mcName]?"
            mc "Yes, sir. How may I help you?"
            detective "I'm with the Ocean City Police Department. Do you mind if I ask you a few questions about your father?"
            mc "Of course, I don't mind at all."
            scene 6_b_6 with fade
            maddie "[mcName] we will be waiting for you in the lobby."
            # Maddie and Hannah leave. #
            scene 6_b_13 with fade
            detective "Where were you last night?"
            mc "I was with my girlfriend. We went over to my friend's apartment."
            detective "It says in the police report that you found your father unresponsive?"
            mc "Yes, sir. When we arrived home last night, we saw my dad passed out on the floor. I quickly checked his pulse and my girlfriend called the paramedics."
        else:
            # [mcName] enters Eugene's hospital room. Maddie and Hannah are there visiting. #
            scene 6_b_0 with fadehold
            maddie "It was so scary girl. I had just got out of the shower and I heard a loud thump. When I went to look, I saw that Mr. Eugene was collapsed on the floor."
            hannah "That's horrible. It's a shame that Mr. Eugene has to go through all of this. He is a sweet man."
            # [mcName] interrupts them. #
            play sound "audio/door_opening.ogg"
            scene 6_b_1 with fade
            mc "Hey ladies."
            # Hannah and Maddie both hug [mcName]. #
            scene 6_b_2 with fade
            hannah "I'm sorry about your dad. How are you doing?"
            mc "I am trying to remain calm. It's hard."
            scene 6_b_7
            hannah "I'm here for you handsome."
            # Hannah kisses [mcName] on the cheek. #
            maddie "{i}Hannah is trying to be with [mcName]. I can't get over the fact that he lied to me about her.{/i}"
            maddie "{i}I don't want to do this, but I think [mcName] needs to choose between me and her. Not now though, but soon.{/i}"
            scene 6_b_4
            maddie "[mcName], did the doctor tell you any news about your dad?"
            mc "Yes, I was actually going to tell you guys what happened, but now is not the time. After we leave here, I will take us to my Aunt Betty's house."
            mc "I will explain everything there."
            hannah "Oh, that does not sound very good."
            maddie "No it doesn't."
            # A Detective walks into the hospital room. #
            play sound "audio/door_opening.ogg"
            scene 6_b_5 with fade
            detective "Excuse me, are you [mcName]?"
            mc "Yes, sir. How may I help you?"
            detective "I'm with the Ocean City Police Department. Do you mind if I ask you a few questions about your father?"
            mc "Of course, I don't mind at all."
            scene 6_b_6 with fade
            maddie "[mcName] we will be waiting for you in the lobby."
            # Maddie and Hannah leave. #
            scene 6_b_13 with fade
            detective "Where were you last night?"
            mc "I went over to my friend's apartment."
            detective "It says in the police report that a girl found your father unresponsive?"
            mc "Yes, sir. My girlfriend was home at the time. She found my father and immediately called the paramedics."
    else:
        # [mcName] enters Eugene's hospital room. Maddie and Betty are there visiting. #
        scene 6_b_8 with fadehold
        maddie "It was so scary. I had just got out of the shower and I heard a loud thump. When I went to look, I saw Mr. Eugene was collapsed on the floor."
        betty "That's horrible. It's a shame that my brother has to go through all of this. He is a sweet man."
        # [mcName] interrupts them. #
        scene 6_b_1 with fade
        play sound "audio/door_opening.ogg"
        mc "Hey ladies."
        # Hannah and Maddie both hug [mcName]. #
        scene 6_b_9 with fade
        maddie "There you are [mcName]. How are you doing?"
        mc "I am trying to remain calm. It's hard."
        scene 6_b_10
        maddie "I'm here for you babe."
        # Maddie kisses [mcName] on the cheek. #
        betty "{i}What am I doing? Maddie is a sweetheart and she clearly is in love with [mcName]. I still go and do something with him.{/i}"
        betty "{i}I am such a slut. Why does [mcName] have to be so damn attractive. No, no, this needs to stop.{/i}"
        scene 6_b_11
        maddie "Did the doctor tell you any news about your dad?"
        mc "Yes, I was actually going to tell you guys what happened, but now is not the time. Can we meet up at your house, Auntie? I feel more comfortable there."
        betty "Of course hun."
        mc "Thank you so much. I will explain everything there."
        # A Detective walks into the hospital room. #
        play sound "audio/door_opening.ogg"
        scene 6_b_5 with fade
        detective "Excuse me, are you [mcName]?"
        mc "Yes, sir. How may I help you?"
        detective "I'm with the Ocean City Police Department. Do you mind if I ask you a few questions about your father?"
        mc "Of course, I don't mind at all."
        scene 6_b_12 with fade
        betty "[mcName] we are leaving. We'll be at the house."
        # Maddie and Betty leave. #
        scene 6_b_13 with fade
        detective "Where were you last night?"
        mc "I went over to my Aunt's house."
        detective "It says in the police report that a girl found your father unresponsive?"
        mc "Yes, sir. My girlfriend was home at the time. She found my father and immediately called the paramedics."

    detective "Do you know if your dad has any enemies?"
    mc "Mallory."
    scene 6_b_14
    detective "Excuse me?"
    mc "My dad's wife, Mallory. I caught her the other day trying to suffocate him in his sleep."
    detective "Do you have any hard proof? You know, photos or videos of her doing that?"
    mc "Unfortunetly, I don't."
    detective "Without proof, there is not much that we can do."
    scene 6_b_15
    detective "{i}If he is talking about the Mallory that is friends with the Chief, then I feel for the kid. I heard that she is psychotic.{/i}"
    scene 6_b_16
    detective "Well, thank you for your time. I will keep you updated."
    # The detective leaves. #
    scene 6_b_17 with fade
    mc "{i}I have a gut feeling that the police will not do much of anything.{/i}"
    mc "{i}Although, the detective made a good point about having proof. I need to install cameras around the house.{/i}"
    mc "{i}Enough of the self monologue. It's time to go to Aunt Betty's.{/i}"
    # [mcName] walks over to Eugene. #
    scene 6_b_18 with fade
    mc "I promise you dad. I will get to the bottom of this."
    # [mcName] leaves. #

label v6_c:
    scene 6_c_0 with fadehold
    thug_1 "Boss, I think we might have an issue."
    enrique "What are you talking about?"
    thug_1 "Last night when we were observing [mcName]..."
    enrique "What happened now?"

    if v2KissHannah:
        if v4TellMaddieTruth:
            thug_2 "[mcName] and that sexy blonde ho were coming home from another bitch's house. When they went inside we heard screaming."
            thug_1 "A few minutes after that, the paramedics have arrived and that old puto Eugene got put in the back of the ambulance."
        else:
            thug_2 "We was following [mcName] from some bitch's house."
            enrique "I don't need the whole fucking story. Just the important details!"
            thug_1 "When he arrived back home, the paramedics were there and that old puto Eugene got put in the back of the ambulance."
    else:
        thug_2 "We was following [mcName] from that bitch Betty's house."
        enrique "I don't need the whole fucking story. Just the important details!"
        thug_1 "When he arrived back home, the paramedics were there and that old puto Eugene got put in the back of the ambulance."

    enrique "Are you sure?"
    thug_2 "Boss, we saw it with our own eyes."
    enrique "Fuck, okay. Good job mi gente. You both did well. Take the rest of the day off."
    # The two thugs left #
    scene 6_c_1 with fade
    enrique "{i}What the fuck happened to Eugene? Mallory better not have lost her cool. That bitch is going to get herself killed.{/i}"
    # Enrique calls Mallory #
    scene 6_c_2 with fade
    mallory "{i}Hey papi.{/i}"
    enrique "What happened last night?"
    mallory "{i}What do you mean?{/i}"
    enrique "Pinche pendeja! Don't play me like I am stupid. What the fuck happened last night?"
    mallory "{i}Not over the phone.{/i}"
    enrique "Meet me now!"

    scene 6_c_3 with fadehold
    mc "Thank you everyone for meeting up here. As you're all aware my dad is in the hospital."
    mc "The doctor has informed me that dad was poisoned."
    hannah "That is horrible!"
    scene 6_c_4
    betty "Fucking Mallory. I will kill the fucking bitch myself."
    chip "I bet you Mallory is behind this. That woman is pure evil."
    scene 6_c_5
    mc "I agree. I wouldn't put it past her."
    hilary "[mcName], when the cop was talking to you, did you tell him about her?"
    mc "I did, but the detective told me that I need to show proof of her actions."
    mc "I'm going to install cameras all over the property."
    scene 6_c_6
    chip "Good idea, let's do it right now. I will help you."
    mc "Thank you, brother."
    scene 6_c_7
    betty "I am not comfortable with my brother staying at that house with that evil witch living there."
    betty "I still have that spare room. I want him to spend his final days here with me, as comfortable as possible."
    mc "That's a good idea. I will run it by dad and see what he thinks."
    scene 6_c_8
    hannah "I don't trust Mr. Eugene being at the hospital."
    hilary "What do you mean? I work at that hospital. We are good people."
    hannah "It's nothing personal. I know Mallory, she is a psychopath."
    hannah "I wouldn't put it past her to sneak in and try to do some crazy shit."
    scene 6_c_9
    hilary "What do you suggest?"
    hannah "I think that there should be someone with Mr. Eugene at all times. I will go there right now and be with him."
    hilary "That can work. I work later today. I can check on him from time to time."
    scene 6_c_10
    patty "We can take turns looking after my uncle."
    patty "Agnes and I will be at the hospital later as well."
    agnes "Sure, I'd be honored to help."
    scene 6_c_11
    mc "Great stuff you guys. I just want to thank you guys from the bottom of my heart. My mind is going crazy right now."
    maddie "We are all here for you."
    # Maddie kisses [mcName] #
    scene 6_c_12
    mc "Okay, I am done being a wussy. Chip are you ready to help me with cameras."
    chip "Sure thing dude."
    ted "I will tag along and help."
    # [mcName], Chip, and Ted leave. #

label v6_d:
    # Chip, Ted, and [mcName] are in the kitchen #
    scene 6_d_4 with fadehold
    mc "That is the last camera. Thank you both for helping me."
    chip "No problem, I know that you'd do the same for me."
    ted "We're family. I will always be there for you."
    # Carrie and Gina enter the kitchen. #
    scene 6_d_5 with fade
    carrie "Look at this Gina, it's the loser crew."
    gina "Haha the loser crew. What a bunch of nerds."
    mc "Get the fuck out of my house."
    carrie "Fuck you! We do what we want!"
    # [mcName] grabs Carrie's arm. #
    scene 6_d_6
    mc "YOU BITCHES POISONED MY DAD! I SHOULD BEAT THE FUCK OUT OF THE BOTH OF YOU!"
    carrie "Stop, you're scaring me!"
    gina "What are you talking about? We didn't poison Eugene!"
    mc "THEN WHY IS HE IN THE HOSPITAL? WHO TRIED TO KILL HIM!?"
    # Carrie starts to cry. #
    scene 6_d_7
    carrie "I swear we had nothing to do with that!"
    chip "Bro, I know that your hurt and angry, but what if these two are telling the truth? Be better than Mallory. We need proof before we take any action."
    ted "Cousin, let her go. Let's get some food and then meet up with Maddie and Hannah at the hospital."
    mc "I swear on my mom, if either one of you bitches are involved with this then I will kill you both."
    # [mcName] lets Carrie go, and then he leaves with Ted and Chip #
    scene 6_d_8 with fade
    gina "What the fuck!"
    gina "Carrie are you okay?"
    carrie "My arm hurts. I had no clue that Eugene was poisoned."
    gina "Do you think mom did it?"
    carrie "Of course she fucking did!"
    scene 6_d_9
    gina "Mom's been losing her mind lately."
    carrie "We need to ask her about all this. If she did do it, then she crossed the line, even for her."
    gina "Come on Carrie, let's get you some ice for your arm."
    #"Meanwhile"
    # Mallory is sitting down with Enrique #
    scene 6_d_0 with fadehold
    enrique "What the fuck happened last night?"
    mallory "Don't get mad. You know how bad my temper gets."
    enrique "What the fuck did you do?"
    scene 6_d_1
    mallory "I was trying to take a shower and Eugene kept on crying about how he needed water."
    mallory "I got annoyed and so when I did give him his water, I might have dropped some poison in it."
    scene 6_d_2
    enrique "Goddamn it Mallory!"
    enrique "You're starting to become a fucking liability!"
    enrique "All the hard fucking work that we've put into this con and you unravel everything because of your temper!"
    scene 6_d_3
    enrique "I swear to God mami, if this shit comes back to us, I will put a fucking bullet in your head."
    enrique "Now, get the fuck out of my face. I can't fucking look at you right now."
    # Mallory leaves. #

label v6_e:
    # [mcName], Chip, and Ted arrive at the hospital where Maddie and Hannah are waiting for them. #
    scene 6_e_0 with fadehold
    mc "Hey girls, how's it going?"
    maddie "We're alright, just waiting on Patty and Agnes to come around, so they can look after your dad."
    mc "That's good. What are you two going to be doing after they get here?"
    scene 6_e_1
    hannah "I'm not going to be doing anything."
    maddie "I am free. Why, what's up?"
    mc "I need to get my mind off of everything. I was wondering if y'all are down to hit up the beach?"
    hannah "Yes! I'm so down."
    maddie "Me too, I need to go back to the house and get my bikini."
    scene 6_e_2
    ted "Nice and sexy!"
    scene 6_e_3
    hannah "What the fuck?"
    maddie "Ted, don't get weird."
    # Patty and Agnes enter the room. #
    scene 6_e_4 with fade
    patty "Don't listen to my brother. He is a fucking perv."
    scene 6_e_5
    hannah "Haha I kinda noticed that, anyway I need to go by my apartment and get my bathing suit. I will meet you guys at the beach."
    #"Meanwhile"
    # Mallory arrives back home. Carrie and Gina approach her. #
    scene 6_e_6 with fadehold
    carrie "Mom, did you poison Eugene?"
    mallory "FUCK YOU!"
    play sound "audio/slap.ogg"
    scene 6_e_7
    # Mallory slaps Carrie #
    pause 1
    scene 6_e_8 with fade
    gina "What the fuck, mom!?"
    mallory "FUCK YOU TOO!"
    gina "Calm down, we are hearing rumors. We just want to know the truth."
    mallory "I SAID SHUT THE FUCK UP!"
    play sound "audio/slap.ogg"
    scene 6_e_9# Mallory slaps Gina. #
    pause 1
    scene 6_e_10 with fade
    mallory "YOU BOTH NEED TO GET THE FUCK OUT OF HERE!"
    # Carrie and Gina both leave crying. #
    scene 6_e_11 with fade
    mallory "{i}My own daughters are questioning my actions.{/i}"
    mallory "{i}Those two girls are starting to get under my skin.{/i}"
    mallory "{i}I have a good idea that will teach those two shit daughters of mine a lesson.{/i}"
    # Mallory pulls out her phone. #
    scene 6_e_12
    mallory "{i}Let's make a phone call to the police chief.{/i}"
    scene 6_e_13
    chief "{i}This is Chief Cumia, how may I help you?{/i}"
    mallory "Hey Tony, this is Mallory."
    chief "{i}Mallory, how are you holding up?{/i}"
    mallory "I'm trying to stay calm."
    mallory "Listen Tony, I have a lead about those responsible for poisoining my husband."

label v6_f:
    scene 6_f_0 with fadehold
    maddie "Oh my it's nice and warm today."
    mc "Yes it is, Let's enjoy the warm weather while it lasts."
    ted "Where are all the sexy babes at?"
    mc "We are with two right now."
    hannah "Hehe don't flatter us [mcName]."
    chip "I think he was talking about me and Ted."
    ted "I wish I was a sexy babe."
    maddie "Okay....now it's weird."

    if v2KissHannah:
        if v4TellMaddieTruth:
            scene 6_f_54 with fade
            ted "Chip, do you see those babes standing over there?"
            chip "Yes, they are sexy."
            scene 6_f_55 with fade
            mc "Why don't the both of you go over there and talk to them?"
            ted "Oh I don't know."
            chip "Come on Ted. Let's try to get laid."
            ted "Okay...okay."
            # Ted and Chip leave as Maddie, Hannah, and [mcName] are laying down on the beach.#
            label scene011:
            scene 6_f_56 with fade
            maddie "You know we are here by ourselves. Perhaps we should take advantage of this time away from Ted and Chip."
            hannah "Hmmm...what are you suggesting?"
            maddie "Oh you know!"
            # Maddie pulls out [mcName]'s dick. #
            scene 6_f_57 with fade
            maddie "I love how amazing your cock is."
            hannah "Mmmm me too. Seriously, you have two hot ass bitches here all over you. That should tell you something."
            mc "How did I ever become so lucky?"
            maddie "Luck? I'll show you luck...or rather suck."
            # Maddie starts to suck [mcName]'s dick as Hannah and [mcName] start to kiss.#
            scene 6_f_58 with fade
            pause
            scene 6_f_59_20
            $ renpy.movie_cutscene("images/6/6_f_59.webm")
            pause
            scene 6_f_60
            mc "Mmm Maddie your mouth is impeccable."
            show 6_f_61
            maddie "Hmmm mmm"
            scene 6_f_62
            pause
            show 6_f_63
            pause
            scene 6_f_64 with fade
            hannah "If you're loving Maddie's mouth then you're going to definitely love this."
            # Hannah and Maddie starts to give [mcName] a double blowjob. #
            scene 6_f_65
            mc "Oh fuck...I love you girls."
            # Hannah sucks on the head as Maddie licks up and down the shaft #
            show 6_f_66
            pause
            scene 6_f_67
            hannah "Do you like how my tongue feels on your big cock?"
            mc "Fuck yes, I'm in heaven."
            show 6_f_68
            pause
            scene 6_f_69
            mc "Ffff....I don't know if I will be able to last much longer."
            scene 6_f_70 with dissolve
            hannah "Mmmm we love your cum daddy."
            maddie "Cum for us daddy!"
            scene 6_f_71
            show whiteflash zorder 50 with mvpunch
            mc "I'm cumming!"
            scene 6_f_72
            pause

            menu:
                "Extras" if renpy.has_label("v6_f_0_e"):
                    call v6_f_0_e from _call_v6_f_0_e
                "Continue":
                    pass

        else:
            scene 6_f_27 with fade
            mc "Hey beautiful"
            hannah "Hey handsome, let's go someplace more secluded."
            mc "Sure, I'd love to."
            # Hannah turns to everyone else. #
            scene 6_f_28
            hannah "Me and [mcName] are going to get some drinks. Do any of you need anything?"
            chip "Beer please and thank you."
            ted "Beer me beautiful."
            hannah "What about you, Maddie?"
            maddie "Mmmm I am craving a margarita."
            mc "Cool, we will be back with the drinks."
            # [mcName] and Hannah enter a bathroom. #
            scene 6_f_29 with fadehold
            mc "Hannah you're so sexy."
            hannah "Show me how sexy I am."
            # [mcName] goes behind Hannah and kisses her neck. #
            scene 6_f_30
            hannah "Mmm oh fuck!"
            mc "You taste delicious."
            hannah "Keep going!"
            scene 6_f_31 with fade# [mcName] takes off Hannah's bikini top and is sucking on her tits. #
            pause
            scene 6_f_32 with Dissolve(0.3)
            hannah "Ohhhh you're driving me crazy."
            scene 6_f_33
            mc "Good, because you drive me crazy too."
            hannah "I can't take this anymore. I need you in me."
            scene 6_f_34 with fade# Hannah leans over against the wall. [mcName] starts fucking her doggy style. #
            pause
            scene 6_f_35 with fade
            pause
            scene 6_f_36_30
            $ renpy.movie_cutscene("images/6/6_f_36.webm")
            pause
            scene 6_f_37 with fade
            hannah "Ohhh damn you fill my tight pussy up."
            show 6_f_38
            mc "It's amazing how tight your pussy grips around my cock."
            show 6_f_39
            mc "Hannah you're so goddamn sexy."
            scene 6_f_40
            hannah "Ohhh...Fuck....YES!"
            show 6_f_41
            hannah "Harder...fuck me....harder."
            # [mcName] starts fucking her as hard as he can.#
            scene 6_f_42 with fade
            pause
            show 6_f_43
            hannah "YES...I..LOVE...IT...SO...MUCH!"
            scene 6_f_44
            mc "I am going to fuck you until you cum all over my fat cock."
            show 6_f_45
            pause
            scene 6_f_46
            show whiteflash zorder 50 with mvpunch
            hannah "I'M CUMMING!"
            scene 6_f_47 with fade# [mcName] pulls out as Maddie starts to squirt. #
            pause
            show 6_f_48# [mcName] cums all over Maddie's ass. #
            pause
            scene 6_f_49
            show whiteflash zorder 50 with mvpunch
            mc "Fuck, you always me cum so much. You're amazing!"
            scene 6_f_50
            pause

            menu:
                "Extras" if renpy.has_label("v6_f_1_e"):
                    call v6_f_1_e from _call_v6_f_1_e
                "Continue":
                    pass

            scene 6_f_51 with fadehold
            chip "Look at who finally returns."
            ted "What took you both so long?"
            scene 6_f_52
            mc "Sorry about that. There was a long line at the bar. Anyway, here are your drinks."
            scene 6_f_53
            maddie "{i}I bet you [mcName] fucked her. He lies about it and then fucks her under my nose. I need to confront [mcName] one of these days.{/i}"
            # The gang spends time drinking and relaxing before they all leave. #
    else:
        scene 6_f_1 with fade
        mc "Hey beautiful"
        maddie "Hey handsome, let's go someplace more secluded."
        mc "Sure, I'd love to."
        # maddie turns to everyone else. #
        scene 6_f_2
        maddie "Me and [mcName] are going to get some drinks. Do any of you need anything?"
        chip "Beer please and thank you."
        ted "Beer me beautiful."
        maddie "What about you, Hannah?"
        hannah "Mmmm I am craving a margarita."
        mc "Cool, we will be back with the drinks."
        # [mcName] and Maddie enter a bathroom. #
        scene 6_f_3 with fadehold
        mc "Maddie you're so sexy."
        maddie "Show me how sexy I am."
        # [mcName] goes behind Maddie and kisses her neck. #
        scene 6_f_4
        maddie "Mmm oh fuck!"
        mc "You taste delicious."
        maddie "Keep going!"
        scene 6_f_5 with fade# [mcName] takes off Maddie's bikini top and is sucking on her tits. #
        pause
        scene 6_f_6 with Dissolve(0.3)
        maddie "Ohhhh you're driving me crazy."
        scene 6_f_7
        mc "Good, because you drive me crazy too."
        maddie "I can't take this anymore. I need you in me."
        scene 6_f_8 with fade# Maddie leans over against the wall. [mcName] starts fucking her doggy style. #
        pause
        scene 6_f_9 with fade
        pause
        scene 6_f_10_30
        $ renpy.movie_cutscene("images/6/6_f_10.webm")
        pause
        scene 6_f_11 with fade
        maddie "Ohhh damn you fell my tight pussy up."
        show 6_f_12
        mc "It's amazing how tight your pussy grips around my cock."
        show 6_f_13
        mc "Maddie you're so goddamn sexy."
        scene 6_f_14
        maddie "Ohhh...Fuck....YES!"
        show 6_f_15
        maddie "Harder...fuck me....harder."
        # [mcName] starts fucking her as hard as he can.#
        scene 6_f_16 with fade
        pause
        show 6_f_17
        maddie "YES...I..LOVE...IT...DADDY!"
        scene 6_f_18
        mc "I'm going to fuck you until you cum all over my fat cock"
        show 6_f_19
        pause
        scene 6_f_20
        show whiteflash zorder 50 with mvpunch
        maddie "I'M CUMMING!"
        scene 6_f_21 with fade# [mcName] pulls out as Maddie starts to squirt. #
        pause
        show 6_f_22# [mcName] cums all over Maddie's ass. #
        pause
        scene 6_f_23
        show whiteflash zorder 50 with mvpunch
        mc "Maddie, I love the way that you make me cum."
        scene 6_f_24
        pause

        menu:
            "Extras" if renpy.has_label("v6_f_2_e"):
                call v6_f_2_e from _call_v6_f_2_e
            "Continue":
                pass

        scene 6_f_25 with fadehold
        chip "Look at who finally returns."
        ted "What took you both so long?"
        scene 6_f_26
        mc "Sorry about that. There was a long line at the bar. Anyway, here are your drinks."
        #hannah "I'm glad that you both are back. Let's get our drink on!"
        # The gang spends time drinking and relaxing before they all leave. #

label v6_g:
    if _in_replay:
        call Rep_End
    # [mcName] is laying down in bed. #
    scene 5_b_1 with fadehold
    mc "{i}The day at the beach plus the lack of sleep is taking a toll on me.{/i}"
    mc "{i}I should take a nap and get rest. I need to be well rested to go keep an eye on dad tomorrow.{/i}"
    # [mcName] falls asleep. #
    scene black with fadehold
    centered "Dream World"
    # [mcName] and Gloria are standing outside of a church. #
    scene 6_g_1 with fadehold
    mc "Hey Mom, it's good to see you again. Even if it's only in my dreams."
    gloria "I wish that we could share moments in the living realm..."
    mc "Me too mom, but even here in my dreams, I can't tell you how much spending time with you means to me."
    gloria "You're so sweet."
    gloria "There is a reason why we are here at this moment in time."
    scene 6_g_2 with Dissolve(2)
    mc "This is a church."
    gloria "Yes, what do you remember about this church?"
    mc "This is where your funeral services were held."
    # "[mcName] looks sad. #
    scene 6_g_3 with Dissolve(2)
    gloria "I'm sorry to bring you back to this memory, but it's important that we be here. Let's take a look."
    # [mcName] and Gloria enter the church where they are seeing a funeral. #
    # Eugene is with [mcName] they are both praying and crying
    scene 6_g_4 with Dissolve(2)
    mc "I still remember everything about this time of my life. It was horrible. This was when my childhood ended."
    mc "Having to revisit this again is really making me depressed."
    scene 6_g_5 with Dissolve(2)
    gloria "I'm sorry baby, but just know that the reason for us being here at this moment, is for you to learn about consequences of choice."
    mc "Consequences of choice?"
    scene 6_g_6 with Dissolve(2)
    gloria "Everything that we do in life, regardless of whether it's good or bad, has consequences."
    gloria "Mallory made the choice of having me killed, The consequence of that is what you've been experiencing all this time since my death."
    gloria "It sucks, you know. I don't blame Eugene for being with Mallory. She pretended to care for him when he was the most vulnerable."
    gloria "Mallory is very good at manipulation. Eugene is the biggest victim from all this."
    gloria "That's what's been hurting me the most. Seeing the man that you love being abused and getting played for a fool."
    gloria "I can't do nothing about it. That's what frusterates me the most."
    scene 6_g_7 with Dissolve(2)
    pause
    # Gloria starts crying. #
    scene 6_g_8 with Dissolve(2)
    mc "Mom, dont cry, we will bring Mallory to her end."
    # [mcName] hugs Gloria. #
    gloria "Thank you for always being my sweet boy."
    scene 6_g_9 with Dissolve(2)
    gloria "Now back to our matter of discussion. Son, you will soon be faced with a choice that could have dire consequences."
    mc "Mom, what choice?"
    gloria "I can't say much more. I've already said too much."
    mc "Mom, there's got to be something more that you can tell me?"
    gloria "All I will say is this, the sins of the mother does not necessarily reflect the views of the daughters."
    gloria "The daughters might act like the mother, but that's not entirely their fault. The daughters just need to be shown the light."
    scene 6_g_10 with Dissolve(2)
    mc "Daughters... mother...I don't understand. It's all so cryptic."
    gloria "I know that it sounds crazy, but just listen to me. When the time comes you will understand."
    gloria "Just know that sometimes redemption is more fulfilling than revenge."
    scene 6_g_11 with Dissolve(2)
    mc "Redemption?"
    scene 6_g_12 with Dissolve(2)
    pause
    # Gloria fades out and [mcName] awakes from his nap. #
    scene 5_b_0 with fadehold
    mc "{i}That was the most intense dream that i've had with mom. She was so damn cryptic. I have no idea what she was talking about.{/i}"
    mc "{i}After that dream, I am wide awake. Let's see if Maddie is still awake.{/i}"

label v6_h:
    # [mcName] enters the backyard where Maddie, Agnes, and Patty are hanging out. #
    scene 6_h_7 with fadehold
    mc "Hey Maddie there you are. I knocked on your bedroom door, but you were out here with these two bad influences."
    scene 6_h_8 with fade# Patty flips off [mcName] #
    mc "Hi cousin! Hi Agnes!"
    agnes "Hey [mcName]. We were looking for you."
    mc "You girls were?"
    scene 6_h_9
    patty "Yes, we came to see how you were doing, but your lazy ass was passed out."
    mc "You girls saw me sleeping?"
    patty "We knocked on your door and you didn't answer. We had to make sure that you were still alive."
    mc "Whatever Patricia."
    # Maddie brings [mcName] a beer. #
    scene 6_h_10
    maddie "Haha [mcName] I love your cousin. She is funny."
    mc "She is a pain in the ass."
    maddie "How are you holding up?"
    mc "To be honest, I am okay, but just a bit stressed out."
    maddie "I understand. I am still shocked about seeing Mr. Eugene unconsious on the floor. I hate Mallory for all the shit that she does."
    scene 6_h_11
    patty "We need to get revenge on that fucking bitch."
    mc "That's the plan."
    agnes "Are you planning something?"
    mc "It's not concrete yet, but I have some ideas."
    patty "Well, whatever those ideas are I will be there to help you. I need to help you. I need to help Uncle Eugene."
    agnes "[mcName], I don't really know your dad. I know you though, I like you. If you need my help then I will be available."
    scene 6_h_12# Patty pulls out a bottle of liqour. #
    pause
    scene 6_h_13
    patty "Let's take shots for my Uncle, and for the idea of getting revenge on that bitch Mallory."
    # Patty gives everyone a shot. #
    scene 6_h_14
    patty "Let's get shitfaced, fuckers!"
    #"Meanwhile"
    # Eugene wakes up in the hospital and sees Betty sitting next to him. #
    scene 6_h_0 with fadehold
    eugene "Elizabeth....Is that you?"
    scene 6_h_1
    betty "My sweet brother. Relax, let me help you."
    eugene "Thank you. I wasn't expecting to see you here."
    betty "Yeah, well, I wasn't expecting you to be poisoned..."
    scene 6_h_2
    eugene "Mal seems to think that my hospice nurse poisoned me."
    betty "I hope that you're not believing anything that she tells you."
    eugene "Ellie she is my wife."
    betty "Ugh I hate when you call me Ellie...."
    betty "And Gloria is your wife. Mallory is just a fucking gold digger floozy."
    # Eugene looks sad. #
    scene 6_h_3
    betty "I am sorry Gene, but it's the truth."
    eugene "I miss Gloria. I still think about her often."
    betty "I know you do, Gene. She was your great love."
    eugene "I can't wait until this cancer finally gets me. I just want to see Gloria again."
    # A tear falls down Betty's face. #
    scene 6_h_4
    betty "Brother, you're making me cry."
    # Betty puts her hand over Eugene's hand. #
    scene 6_h_5
    betty "Listen I talked to [mcName] and we don't trust Mallory or her daughters."
    betty "We feel that it would be better if you moved into my house, so you can finish your hospice care there."
    eugene "I don't know what to say."
    betty "You don't need to answer me now. Sleep on it and think about things."
    # Betty stands up #
    scene 6_h_6 with fade
    betty "One of the nurses here who was friends with Gloria will be checking in on you."
    betty "I love you, brother. I will visit you again tomorrow."
    # Betty leaves. #

label v6_i:
    # [mcName], Maddie, Agnes, and Patty are in the living room taking shots. #
    scene 6_i_0 with fadehold
    patty "I hope that bitch Mallory doesn't show up. I don't want to see that slut."
    maddie "I don't think anyone wants to see her."
    mc "Well we have nothing to worry about. She is never here at this time."
    agnes "Good! Since she won't be back anytime soon, I suggest that we do something a bit more spicy."
    scene 6_i_1
    patty "Ooooh I'm in!"
    mc "What do you have in mind?"
    scene 6_i_2
    agnes "Well, as I am sure that you're well aware of, us girls like to gossip."
    mc "Okay...what are you getting at?"
    agnes "Maddie said that you have a fat dick."
    scene 6_i_3
    maddie "Oh my God!"
    scene 6_i_4
    patty "Haha Agnes you slut!"
    scene 6_i_5
    mc "Agnes are you trying to see my cock?"
    agnes "Hehe if it's okay with Maddie?"
    maddie "Don't ask me. [mcName] can do whatever he wants."
    scene 6_i_6 with fade
    agnes "Hmmm, well in that case, show us that cock!?"
    mc "Haha, I don't know. I'm not drunk enough yet."
    patty "Stop being a pussy and show us the goods."
    # Patty walks up to [mcName] and takes off his shorts. #
    scene 6_i_7 with fade
    mc "COUSIN!!"
    # Patty and Agnes are looking at [mcName]'s dick and they are amazed by what they see. #
    scene 6_i_8 with fade
    agnes "Whoa....nice!"
    patty "Now I know why you are so popular with the ladies."
    scene 6_i_9
    mc "I'm glad that you all find me to be entertaining, but I'm gonna put my pants back on."
    patty "Fuck you...leave them off."
    mc "What?"
    patty "We want to see how big your dick can get. Stroke it for us."
    #maddie "Oh wow..."
    scene 6_i_10
    agnes "Haha and you call me a slut."
    mc "You call Ted a pervert, but you're just like him."
    patty "FUCK YOU!"
    scene 6_i_11
    patty "Fine, if you won't make yourself hard then I will have to play dirty."
    scene 6_i_12# Patty takes off her clothes. #
    pause
    scene 6_i_13 with fade
    patty "Agnes, eat my pussy."
    # Patty lays down with her legs open as Agnes goes down on her. #
    scene 6_i_14 with fade
    maddie "Oh wow... I'm not gonna lie watching Patty and Agnes is hot."
    # [mcName]'s dick gets hard. #
    scene 6_i_15 with fade
    maddie "By the stiffness of your cock, i'd say that you think it's hot too."
    show 6_i_16 with fade
    patty "Oh Aggie that feels amazing."
    scene 6_i_17 with fade
    patty "I love your tongue."
    show 6_i_18 with fade
    pause
    # Maddie goes behind [mcName] and starts to stroke his dick as they watch patty and agnes. #
    scene 6_i_19 with fade
    maddie "Do you see the way that Agnes uses her tongue?"
    mc "Mmmm yes"
    show 6_i_20 with fade
    maddie "Imagine that she has her tongue going over the head of your juicy cock."
    scene 6_i_21 with fade
    mc "Maddie I'm going crazy. Let's fuck."
    maddie "Not tonight. Tonight we are going to enjoy the show in front of us, but don't worry, because you will still bust a nut."
    # Maddie begins to stroke [mcName]s dick faster. #
    show 6_i_22 with fade
    mc "Maddie if you keep on going at this pace I will cum quick."
    scene 6_i_23 with fade
    mc "I'm gonna blow!"

    menu:
        "Continue (Extras)" if renpy.has_label("v6_i_e"):
                call v6_i_e from _call_v6_i_e
        "Cum":
                scene 6_i_24 with fade
                maddie "Cover me daddy...Drown me in your cum."
                scene 6_i_25 with fade
                show whiteflash zorder 50 with mvpunch
                mc "Uhhh fuck yes! All over your face."
                scene 6_i_26
                pause
                # [mcName] cums all over Maddie's face #
                scene 6_i_27 with fade
                maddie "Damn Daddy there is so much jizz."
                scene 6_i_28 with fade
                patty "Oh my God. That was so fucking hot."
                agnes "I need to freshen up."
                patty "Me too, come on let me show you the bathroom."
                # Patty and Agnes leave the room. #

label v6_j:
    if _in_replay:
        call Rep_End
    # [mcName] and Maddie are relaxing #
    scene 6_j_0 with fadehold
    mc "Maddie, I am so tired. You girls tired my ass out."
    maddie "Hehe good!"
    maddie "I am tired too. It's been a long past couple of days."
    mc "Yes, it has. I need a vacation."
    maddie "Hehe you and me both."
    # Patty and Agnes return from the bathroom. #
    scene 6_j_1 with fade
    mc "What happened to you two? I was about to go search for you. I thought you two were drowning in the toilet or something."
    patty "Huh, you're stupid cousin. Why would we be drowning in your toilet?"
    mc "Because you're a piece of shit."
    scene 6_j_2
    patty "Fuck you!"
    # Patty punches [mcName] in the arm. #
    mc "Hey, it's only a joke."
    patty "You're not funny!"
    # Gina and Carrie enter the room #
    play sound "audio/door_opening.ogg"
    scene 6_j_3 with fade
    agnes "What the fuck are these two bitches doing here?"
    patty "After what y'all did to my uncle, you two have a lot of nerve showing up here!"
    gina "We had no part of what happened!"
    carrie "We swear on everything. We had no clue that mom would do something like that."
    gina "We even confronted her about it and she started to abuse the both of us."
    carrie "[mcName] you gotta believe us. Please, we had nothing to do with your dad."
    #"Meanwhile"
    # A group of cops arrive at [mcName]'s house. #
    scene 6_j_4 with fadehold
    cop "Okay, the two suspects are inside the home."
    cop "There might be others in the home. We only want Carrie and Gina."
    cop "Let's go in quick and smart. Good luck and God bless."
    # A cop kicks the door in. #
    #mc "Hey, what the fuck!"
    scene 6_j_5 with fadehold
    play sound "audio/door_opening.ogg"
    cop "Carrie and Gina you both need to come with us now!"
    carrie "Why? We are not going anywhere!"
    scene 6_j_6 with fade
    mc "What is going on!?"
    # Cops handcuff Carrie and Gina. Carrie and Gina are crying. Everyone else looks shocked. #
    scene 6_j_7 with fade
    cop "Carrie and Gina, you are both under arrest for the poisoning and attempted murder of Eugene."
    carrie "IT WASN'T US! IT WAS OUR MOM!"
    cop "You have the right to remain silent. Anything you say can and will be used against you in a court of law."
    gina "PLEASE LET US GO! WE WEREN'T EVEN HOME LAST NIGHT!"
    cop "You have the right to an attorney. If you cannot afford an attorney, one will be provided for you."
    scene 6_j_8
    carrie "[mcName] HELP US PLEASE! WE BEG YOU!"
    # The cops take Carrie and Gina out. The detective walks up to [mcName]. #
    #detective "!!!My apologies about !!!!!!!!kicking the door in. Someone is on there way to repair the damage. You folks have a great night."
    # The detective leaves. #
    scene 6_j_9 with fade
    agnes "What the fuck just happened?"
    patty "Good riddance! I hope those bitches get what they deserve."
    scene 6_j_10
    mc "{i}Normally, this would make me excited, but for some reason I don't think they were involved with the poisoning.{/i}"
    mc "{i}Then again with them out of the way, I can focus on bringing down Mallory without having to worry about them bothering me.{/i}"
    mc "{i}What should I do?{/i}"

    menu:
        shamod2 "Currently unknown what affect this decision will have.\nRecommend making a save here.\nAs you are nearing the end of the update."
        "REVENGA!":
            $ v6MCDecision = 1
            scene 6_j_11 with fade
            mc "{i}I think that it is time to fight fire with fire.{/i}"
            mc "{i}I am going to help Carrie and Gina, but only if they decide to become my slaves.{/i}"
            mc "{i}They will be my personal cum buckets. More importantly I will use them to help me take down Mallory.{/i}"
            mc "{i}I need to go to the police station. I can't wait until I bring down Mallory.{/i}"
            scene 6_j_12
            mc " You're fucking next bitch!"
            patty "Who is next?"
            scene 6_j_13
            mc "Hmm, excuse me?"
            maddie "[mcName] are you okay? You zoned out and then started mumbling something about someone being next."
            mc "Oh, I'm sorry. I was lost in my thoughts."
            # [mcName] gets up and walks to the door. #
            scene 6_j_14 with fade
            maddie "Where are you going?"
            mc "I'll be back. I need to take care of something."
            # [mcName] leaves. #
        "Redemption":
            $ v6MCDecision = 2
            scene 6_j_11 with fade
            mc "{i}I hope this doesn't backfire on me, but I need to do the right thing.{/i}"
            mc "{i}I am going to help Carrie and Gina, because everyone deserves a second chance. This must be the cryptic message from my dream.{/i}"
            mc "{i}It's not their fault they were raised by an evil bitch. More importantly they might help me take down Mallory.{/i}"
            mc "{i}I need to go to the police station. I need to show Gina and Carrie that there is a better way.{/i}"
            scene 6_j_15
            mc " I'm on my way"
            patty "Where are you going?"
            scene 6_j_13
            mc "Hmm, excuse me?"
            maddie "[mcName] are you okay? You zoned out and then started mumbling something about being on your way."
            mc "Oh, I'm sorry. I was lost in my thoughts."
            # [mcName] gets up and walks to the door. #
            scene 6_j_14 with fade
            maddie "Where are you going?"
            mc "I'll be back. I need go be the hero."
            # [mcName] leaves. #
        "Do Nothing":
            $ v6MCDecision = 3
            scene 6_j_11 with fade
            mc "{i}I think the best course of action is to do nothing.{/i}"
            mc "{i}As far as I am concerned, Carrie and Gina deserve this.{/i}"
            mc "{i}I have no idea if they are involved with my dad's poisoning or not, but it's good to finally have them out of the way.{/i}"
            mc "{i}I can now focus all my time on their mother. I can't wait until I bring down Mallory.{/i}"
            scene 6_j_12
            mc " You're fucking next bitch!"
            patty "Who is next?"
            scene 6_j_13
            mc "Hmm, excuse me?"
            maddie "[mcName] are you okay? You zoned out and then started mumbling something about someone being next."
            mc "Oh, I'm sorry. I was lost in my thoughts."
            # [mcName] gets up and walks to the kitchen. #
            scene 6_j_16 with fade
            maddie "Where are you going?"
            mc "Follow me ladies,. I have another bottle in the kitchen. We need to celebrate Carrie and Gina's arrest"
            # [mcName] and the gang leave to the kitchen. #

    jump v7_a
